!R1210-R1214
program main
type ss
	sequence
	real ss
end type

type  ww
	sequence
	integer s
	type (ss) y
end type
type (ww) a
dimension a(2)
dimension b(2,4)
!error : actual arg a is not matched with its dummy arg "a"
!error: actual arg "b" need explicie keyword
!error: non_optional dummy arg "q" hasnot corrspoding actual arg
	call p(a=a,b)
end

subroutine p(a,q)
dimension a(2)
type ss
sequence
	real ss
end type
type ww
sequence
	integer s
	type (ss) y
end type
type (ww) a
integer q
dimension   q(2,4)
q=q+1
end
